package com.base.filerecoveryrecyclebin.bean

import com.base.filerecoveryrecyclebin.utils.AppPreferences

object ConstObject {

    const val ID_JUNK_CLEAN_PUSH = 11001
    const val ID_SIMILAR_IMAGE = 11015
    const val ID_SCREENSHOT_CLEAN = 12000
    const val ID_RECOVERY_PHOTOS = 13000
    const val ID_RECOVERY_VIDEOS = 13001
    const val ID_RECOVERY_DOCUMENTS = 13002
    const val ID_BATTERY_INFO = 12086
    const val ID_WHEATHER = 12087
    const val ID_XINGZUO = 12088

    const val RECOVERY_PHOTOS = "Recovery Photos"
    const val RECOVERY_VIDEOS = "Recovery Videos"
    const val RECOVERY_AUDIOS = "Recovery Audios"
    const val RECOVERY_DOCUMENTS = "Recovery Documents"
    const val JUNK_CLEANER = "Clean Junk"
    const val REPEAT_PHOTOS = "Similar Photos"
    const val SCREENSHOT_CLEANER = "Screenshot Cleaner"
    const val PRIVACY_SPACE = "Privacy Space"
    const val RECYCLE_BIN = "Recycle Bin"
    const val LARGE_FILE = "Large File"
    const val BATTERY_INFO = "Battery Info"

    const val SCAN_PHOTOS = 1
    const val SCAN_DOCUMENTS = 2
    const val SCAN_VIDEOS = 3
    const val SCAN_AUDIOS = 4

    const val SELECT_FILE_ALL = "All types"
    const val SELECT_FILE_PICTURE = "Picture"
    const val SELECT_FILE_VIDEO = "Video"
    const val SELECT_FILE_AUDIO = "Audio"
    const val SELECT_FILE_DOCUMENT = "Document"
    const val SELECT_FILE_OTHER = "Other types"


    var ifAgreePrivacy = false
        get() {
            return AppPreferences.getInstance().getBoolean("ifAgreePrivacy", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("ifAgreePrivacy", value, true)
        }
    var isGuide = false
        get() {
            return AppPreferences.getInstance().getBoolean("isGuide", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("isGuide", value, true)
        }

    var isCLeanGuide = false
        get() {
            return AppPreferences.getInstance().getBoolean("isCLeanGuide", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("isCLeanGuide", value, true)
        }
    var isInstallVip = true
        get() {
            return AppPreferences.getInstance().getBoolean("isInstallVip", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("isInstallVip", value, true)
        }

    var rememberOption = false
        get() {
            return AppPreferences.getInstance().getBoolean("rememberOption", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("rememberOption", value, true)
        }

    var rememberRemove = false
        get() {
            return AppPreferences.getInstance().getBoolean("rememberRemove", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("rememberRemove", value, true)
        }


    var privacyPinPassword = ""
        get() {
            return AppPreferences.getInstance().getString("privacyPinPassword", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("privacyPinPassword", value, true)
        }

    var stayNotification = true
        get() {
            return AppPreferences.getInstance().getBoolean("stayNotification", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("stayNotification", value, true)
        }
    var fcmNotification = true
        get() {
            return AppPreferences.getInstance().getBoolean("fcmNotification", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("fcmNotification", value, true)
        }

    var hasCleaned = false
        get() {
            return AppPreferences.getInstance().getBoolean("hasCleaned", field)
        }
        set(value) {
            field = value
            AppPreferences.getInstance().put("hasCleaned", value, true)
        }
}